Bug 465653 - setupYumConfig() in cli.py ignores arg list passed in to yummain
setupYumConfig() in cli.py ignores arg list passed in to yummain
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 03:27 EDT by David Cantrell
Modified: 2014-01-21 18:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 15:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum-3.2.19-yummain-args.patch (1001 bytes, patch)
2008-10-05 03:27 EDT, David Cantrell
no flags Details | Diff

  None (edit)
Description David Cantrell 2008-10-05 03:27:28 EDT
Created attachment 319489 [details]
yum-3.2.19-yummain-args.patch

setupYumConfig() does not take in a list of arguments that are initially handed to yummain.  When parse_args() is called, it resorts to sys.argv, which is fine when yummain is called from /usr/bin/yum, but fails if you are importing yummain in to another program.

The attached patch fixes the issue.

I tried to clone upstream yum, but that was fail:

error: Unable to find 99e37a9927b0581285a2e981f94c881729ff2aa0 under http://yum.baseurl.org/git/yum.git
Cannot obtain needed object 99e37a9927b0581285a2e981f94c881729ff2aa0
while processing commit 00ca7c531840c75958e6c87b249562efce74ea9a.
fatal: Fetch failed.

So I'm opening the bug here.
Comment 1 James Antill 2008-10-17 15:24:48 EDT
 it'll get into the next refresh that's done for Fedora 10, 3.2.19-6 or later.

Note You need to log in before you can comment on or make changes to this bug.